commit:     55c495db54a1520e86cec6d572d388581b70fb8f
Author:     Mike Frysinger <vapier <AT> chromium <DOT> org>
AuthorDate: Mon Apr 19 17:00:49 2021 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Mon Apr 19 17:00:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55c495db

dev-vcs/repo: version bump to 2.14

Signed-off-by: Mike Frysinger <vapier <AT> gentoo.org>

 dev-vcs/repo/Manifest         |  1 +
 dev-vcs/repo/repo-2.14.ebuild | 42 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-vcs/repo/Manifest b/dev-vcs/repo/Manifest
index cb7da9fa2a9..0223930ff59 100644
--- a/dev-vcs/repo/Manifest
+++ b/dev-vcs/repo/Manifest
@@ -1,3 +1,4 @@
 DIST repo-2.11 39791 BLAKE2B 
535de238d934eb2717af7bddd960c158501a56dd400ae02f3665e30c34bd68a1973de4c84e2ea76f48aa027249dfd4270153f1a7d4c4a2d5d883b580f02664e9
 SHA512 
1889ee9c782a6dc90b782c8ca9c5411b97c4495e0d27add62b9661a5961a782096037e081e984c965e44d33459e8fe4428528b5ebfff9fe356ce401cb610480a
 DIST repo-2.12 43035 BLAKE2B 
3a3b1997a09f08093aa2d5cf6c7a3747d6a9a6c29e6c199574757d4d87fdd57b7cc8b18bb1ddfa7c47392f73a22211f996f6ba8175448162e305106c9ac6cafe
 SHA512 
409525040ec8fe6c6a6d923c4e23ab93f5ccc62d01d310ad6b56d55f45d88c2bf469e9b46943e799b8d5238cbc0a9610d0f64f35cf0f3a68b79cbd8c92f044a3
+DIST repo-2.14 44203 BLAKE2B 
72094daad380b3a03c9dca488e0bfc2a64bcaed5b025490c07fdc627eaae825bd71d0a8aafca5307dd4a0fecf59d530e7a692b030699a2cdc34cbec569076383
 SHA512 
37bc4e5b63e2cb1567633708f9680817c346b8105ca495538036aad87fe278f3ab5143f0f57fd40d4051de8016cc785648e9f0b65ebf2430677f037030f71343
 DIST repo-511a0e54f5801a3f36c00fac478a596d83867d10-bash-completion.sh.base64 
4280 BLAKE2B 
6c369d36176d5bd4d3f4ed4df39bbd6542022dd186375bd05a978889c574819e3328d19c7dac2982233614786078f73bfd1f0c80aa7c0c6c79bdfab776ed6e39
 SHA512 
f484bee79c3724a6daf8a69b3df80feef3c6aaad3bfb49443caabc52735dd7f3b0fcb3ad4b7480bc020c9b4cac2f3b044693ef761df6fc9d34e854289baf1f3d

diff --git a/dev-vcs/repo/repo-2.14.ebuild b/dev-vcs/repo/repo-2.14.ebuild
new file mode 100644
index 00000000000..4190dab38e9
--- /dev/null
+++ b/dev-vcs/repo/repo-2.14.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# NB: The $PV tracks the *repo launcher version*, not the last signed release
+# of the repo project.  The launcher only gets a new update when changes are
+# made in it.
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit bash-completion-r1 python-r1
+
+# This file rarely changes, so track it independently.
+COMP_VER="511a0e54f5801a3f36c00fac478a596d83867d10"
+COMP_NAME="${PN}-${COMP_VER}-bash-completion.sh.base64"
+
+DESCRIPTION="Google tool for managing git, particularly multiple repos"
+HOMEPAGE="https://gerrit.googlesource.com/git-repo";
+SRC_URI="https://storage.googleapis.com/git-repo-downloads/${P}
+       
https://gerrit.googlesource.com/git-repo/+/${COMP_VER}/completion.bash?format=TEXT
 -> ${COMP_NAME}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       !app-admin/radmind
+       !dev-util/repo"
+
+S=${WORKDIR}
+
+src_unpack() {
+       base64 -d <"${DISTDIR}/${COMP_NAME}" >completion.bash || die
+}
+
+src_install() {
+       python_foreach_impl python_newscript "${DISTDIR}/${P}" ${PN}
+       newbashcomp completion.bash ${PN}
+}

Reply via email to